Bug 21024 - Scrollbar not painted until hovered
Summary: Scrollbar not painted until hovered
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Windows Vista
: P2 Normal
Assignee: Nobody
URL: https://bugs.webkit.org/attachment.cg...
Keywords: InRadar, NeedsReduction, PlatformOnly, Regression
Depends on:
Blocks:
 
Reported: 2008-09-23 06:28 PDT by Matt Lilek
Modified: 2008-09-25 00:16 PDT (History)
1 user (show)

See Also:


Attachments
Position the widget correctly in RenderWidget::setWidget to ensure proper invalidation of scrollbars (3.02 KB, patch)
2008-09-24 23:04 PDT, mitz
hyatt: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matt Lilek 2008-09-23 06:28:44 PDT
Open <https://bugs.webkit.org/attachment.cgi?id=23685&action=edit> and look at the patch <iframe> - the scrollbar is not displayed until hovered or a repaint is forced on Windows with Safari 4.
Comment 1 Mark Rowe (bdash) 2008-09-23 14:13:51 PDT
<rdar://problem/6240821>
Comment 2 Matt Lilek 2008-09-23 15:10:00 PDT
I just reproduced this in regular Safari 4, so it's not a regression from Hyatt's recent work.  Checking to see if it's a Safari 3 -> 4 regression now.
Comment 3 mitz 2008-09-24 23:04:10 PDT
Created attachment 23781 [details]
Position the widget correctly in RenderWidget::setWidget to ensure proper invalidation of scrollbars
Comment 4 Dave Hyatt 2008-09-25 00:07:18 PDT
Comment on attachment 23781 [details]
Position the widget correctly in RenderWidget::setWidget to ensure proper invalidation of scrollbars

Awesome!

r=me
Comment 5 mitz 2008-09-25 00:16:30 PDT
Fixed in r36885 <http://trac.webkit.org/changeset/36885>.